## HandBrake-0.9.4jp-r2-src.tar.gz

=== Makefile ===
SYSTEM = $(shell uname -s)

LIBS = a52 mkv avformat avcodec avutil dca dvdread faac mp3lame mpeg2 vorbis \
	   vorbisenc ogg samplerate x264 xvidcore mp4v2 swscale theora faad

CYGLIBS = zlib bzip2

all: ../HandBrakeCLI

CFLAGS += -I../libhb
CXXFLAGS += -I../libhb
LIBS2 = ../libhb/libhb.a $(LIBS:%=../contrib/lib/lib%.a)

ifeq ($(findstring CYGWIN_NT,$(SYSTEM)),CYGWIN_NT)
	LIBS2 += $(CYGLIBS:%=../contrib/lib/libz.a) $(CYGLIBS:%=../contrib/lib/libbz2.a)
endif

LDFLAGS += $(LIBS2) -lbz2 -ldl

../HandBrakeCLI: test.c parsecsv.c $(LIBS2)
	@CMD="$(CC) $(CFLAGS) -o test.o -c test.c"; $$CMD || \
	( echo "Compile line for $@ was:"; echo $$CMD; false )
	@CMD="$(CC) $(CFLAGS) -o parsecsv.o -c parsecsv.c"; $$CMD || \
	( echo "Compile line for $@ was:"; echo $$CMD; false )
	@echo "Link HandBrakeCLI"
	@CMD="g++ $(CXXFLAGS) -o ../HandBrakeCLI test.o parsecsv.o $(LDFLAGS) -lz -lpthread"; $$CMD || \
	( echo "Compile line for $@ was:"; echo $$CMD; false )
        @CMD="rm -rf ../plugins ; mkdir ../plugins ; cp ../contrib/lib/libquicktime/* ../plugins"; $$CMD


clean:
	@echo "Clean HandBrakeCLI"
	@$(RM) ../HandBrakeCLI 
	@$(RM) ../HandBrakeCLI.exe
	@$(RM) *.o

=== linux/debian/control ===
Source: handbrake
Section: graphics
Priority: optional
Maintainer: John Stebbins <jstebbins.hb@gmail.com>
Build-Depends: debhelper (>= 6), autotools-dev, libtool, libgtkhtml3.14-dev, libhal-storage-dev, intltool, autoconf, yasm (>= 0.7.0), libbz2-dev, zlib1g-dev
Standards-Version: 3.7.3
Homepage: http://www.handbrake.fr/

Package: handbrake-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: handbrake
Description: versatile DVD ripper and video transcoder - command line
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other videos
 into H.264, MPEG-4, or OGG formatted media. It's particularly useful for making
 videos that are compatible with portable video devices such as the Apple
 iPod/iPhone. This package contains the command-line variant,
 HandBrakeCLI

Package: handbrake-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: handbrake
Description: versatile DVD ripper and video transcoder - GTK GUI
 HandBrake is a versatile, easy-to-use tool for converting DVDs and other videos
 into H.264, MPEG-4, or OGG formatted media. It's particularly useful for making
 videos that are compatible with portable video devices such as the Apple
 iPod/iPhone. This package contains the graphical variant, ghb.

=== linux/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

PKGDESTDIR   = ../
CONFIGURE    = ./configure
BUILDDIR     = build
FORCEVERSION = 

$(BUILDDIR)/GNUmakefile: $(CONFIGURE)
	dh_testdir
	unset CFLAGS; unset CPPLAGS; unset CXXLAGS; $(CONFIGURE) --prefix=/usr

build:  $(BUILDDIR)/GNUmakefile
	dh_testdir
	#We must build both the main project and the GTK project
	unset CFLAGS ; unset CPPLAGS ; unset CXXLAGS; $(MAKE) -C $(BUILDDIR)

clean: 
	dh_testdir
	dh_testroot

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) -C $(BUILDDIR) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_install --sourcedir=debian/tmp -i
	dh_icons -i
	dh_desktop -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i $(FORCEVERSION)
	dh_md5sums -i
	dh_builddeb --destdir=$(PKGDESTDIR) -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_link -a
	dh_icons -a
	dh_desktop -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a $(FORCEVERSION)
	dh_md5sums -a
	dh_builddeb -a --destdir=$(PKGDESTDIR) -- -Zbzip2

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
